#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

#include <QDir>

void MainWindow::showFile (QTreeWidgetItem * branch,
                           QFileInfo info,
                           int level)
{
    QTreeWidgetItem * u = new QTreeWidgetItem;
    u->setText (0, info.fileName());
    u->setToolTip (0, info.filePath());
    u->setTextColor (0, QColor (255, 128, 64));

    if (branch == NULL)
       ui->treeWidget->addTopLevelItem (u);
    else
       branch->addChild (u);

    if (info.isDir() && level > 1)
    {
        QDir d (info.filePath());
        // QDir d = info.dir();
        QFileInfoList a = d.entryInfoList
          (QDir::Dirs | QDir::Files | QDir::NoDotAndDotDot);
        for (int i = 0; i < a.count(); i++)
            showFile (u, a[i], level-1);
    }
}

void MainWindow::on_pushButton_clicked()
{
    showFile (NULL, QFileInfo ("/usr/share/icons"), 3);

    /*
    QDir d (p);

    QTreeWidgetItem * u = new QTreeWidgetItem;
    u->setText (0, d.dirName());
    u->setToolTip (0, d.path());
    u->setTextColor (0, QColor (255, 128, 64));
    ui->treeWidget->addTopLevelItem (u);

    QStringList s = d.entryList ();
    for (int i = 0; i < s.count(); i ++)
    {
        QTreeWidgetItem * t = new QTreeWidgetItem;
        t->setText (0, s[i]);
        u->addChild(t);
    }
    */

    /*
    QTreeWidgetItem * p = new QTreeWidgetItem;
    p->setText (0, "Tree Item");
    p->setTextColor (0, QColor (255, 128, 64));
    ui->treeWidget->addTopLevelItem (p);

    QTreeWidgetItem * t = new QTreeWidgetItem;
    t->setText (0, "Another Item");
    t->setTextColor (0, QColor ("yellow"));
    t->setBackgroundColor (0, QColor ("cornflowerblue"));
    t->setToolTip(0, "something");
    p->addChild (t);
    */
}

#include <QTreeWidgetItem>

void MainWindow::on_treeWidget_itemClicked
    (QTreeWidgetItem *item, int column)
{
    // item->setText (0, "click");

}
